> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/resources/s3_bucket_public_access_block.md).

# ionoscloud\_s3\_public\_access\_block

Creates and manages IONOS CLOUD Object Storage Public Access Block for buckets.

Manages **public access for Buckets** on IONOS CLOUD.

## Example Usage

```hcl
resource "ionoscloud_s3_bucket_public_access_block" "example"{
  bucket = ionoscloud_s3_bucket.example.name
  ignore_public_acls = true
  restrict_public_buckets = true
  block_public_policy = false
  block_public_acls = false
}

```

## Argument Reference

The following arguments are supported:

* `bucket` - (Required)\[string] The name of the bucket where the object will be stored.
* `ignore_public_acls` - (Optional)\[bool] Instructs the system to ignore any ACLs that grant public access. Even if ACLs are set to allow public access, they will be disregarded.
* `restrict_public_buckets` - (Optional)\[bool] Restricts access to buckets that have public policies. Buckets with policies that grant public access will have their access restricted.
* `block_public_policy` - (Optional)\[bool] Blocks public access to the bucket via bucket policies. Bucket policies that grant public access will not be allowed.
* `block_public_acls` - (Optional)\[bool] Indicates that access to the bucket via Access Control Lists (ACLs) that grant public access is blocked. In other words, ACLs that allow public access are not permitted.

## Import

Resource Bucket access block can be imported using the `bucket name`

```shell
terraform import ionoscloud_s3_bucket_public_access_block.example example
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/resources/s3_bucket_public_access_block.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
